/**
 * Echarts javascript
 *
 */

(function($) {
  Drupal.behaviors.googleChart = {
    attach: function(context, settings) {
      require.config({
        paths: {
            echarts: Drupal.settings.echarts_lib_path + '/lib'
        }
      });
    
      require(
        Drupal.settings.echarts_types,
        function (ec) {
          for (var chartId in settings.echart) {
            var elementChart = ec.init(document.getElementById(settings.echart[chartId].containerId));
            if (settings.echart[chartId].chartType == "line") {
              elementChart.setOption({
                  tooltip : settings.echart[chartId].tooltip,
                  legend: settings.echart[chartId].legend,
                  toolbox: settings.echart[chartId].toolbox,
                  calculable : settings.echart[chartId].calculable,
                  xAxis : settings.echart[chartId].xAxis,
                  yAxis : settings.echart[chartId].yAxis,                  
                  series : settings.echart[chartId].series
              });
            }else{
               elementChart.setOption({
                  tooltip : settings.echart[chartId].tooltip,                 
                  series : settings.echart[chartId].series
              });
            }
          }
        }
      );  
    }
  };
})(jQuery);

